Subject: RE: [AAA-WG]: Issue 91: MIP SPI

From: Thomas Panagiotis-PTHOMAS1 <[email-masked]>
Date: Tue, 26 Jun 2001 17:55:35 -0500

> > > > 19) Section 6.1, could you please explain to me what "The Mobile IP key
> > > > described in [15] refers to the AAA SPI, which MUST be set to the value
> > > > the AAAH shares with the Mobile Node." Are we talking about a
> > > > pre-configured shared SPI, or a secret key? Can it dynamically change
> > > > or not? It is not clear to me how the AAA SPI can help in creating the
> > > > FA or HA Security Information. Could you please tell me more?
> > >
> > > I'd love to explain it, but that would require that I first
> > > understand it :(
> > >
> > > I believe that what I had originally intended to state here is that the
> > > values created are used in a particular field of the MIP AAA key in [15].
> > > This needs some major cleaning up.
>
> I think what I meant to say was (proposed text):
> 
> "  The AVPs described in this section contain the values inserted in
>    the Key Material field of the extensions defined in [15]. The
>    Key Lifetime field is set to the same value as the one found
>    in the Authorization-Lifetime AVP."
> 
> PatC

I think we need to make explicit that AAAH generates the whole Subtype Data
field, i.e. (lifetime|AAA SPI|FA(HA) SPI|Algorithm Identifier|Key Material),
and not only the random value, which to me *is* the Key Material field.

" The AVPs described in this section contain the Unsolicited MN-FA(HA)
  Key Material From AAA Subtype Data fields, as defined in [15].
  ..."

-Panos

---

From: Pat Calhoun <[email-masked]>
Date: Tue, 26 Jun 2001 16:28:42 -0700

>   Key Material From AAA Subtype Data fields, as defined in [15].

I need a vacation :(

you are correct, and I guess I am very confused today. Here is the correct
proposed text:

"  The AVPs described in this section contain the subtype data 
   of the extensions defined in [15]. The Key Lifetime field of the
   subtype data is set to the same value as the Authorization-Lifetime
   AVP found in the message. The Key Material field of the subtype
   contains the random value used in the generation of the
   MIP-Session-Key AVP of the MIP-FA-to-MN-Key or MIP-HA-to-MN-Key
   Grouped AVPs."

Thanks for catching that one,

PatC